[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#657742: ITP: libpam-usb -- PAM module for authentication with removable USB block devices



Hi Michael,

On Sat, Jan 28, 2012 at 5:09 PM, Michael Biebl <biebl@debian.org> wrote:
> If you are talking about pam_usb 0.5.0 as hosted on sf.net, then I'd
> like to point out, that it still uses hal, which has been deprecated for
> quite some time.

Are you sure? From upstream changelog:

> * 0.5.0
> - Migrated the code base to UDisks. pam_usb doesn't depend on HAL anymore.
> - Added deny_remote option (defaults to true). If false,
>   local login check will be disabled.
>  - Fixed a bug in the device recognition (--add-device)

And indeed I can confirm it doesn't not need HAL anymore, at least on
my system where every trace of HAL was removed long time ago.

Thanks for reviewing this, and cheers!

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A



Reply to: